Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface AuthRealmConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NamedConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface AuthRealmConfig
extends PropertiesAccess, NamedConfigElement

Configuration for the <auth-realm> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`void` | `addUser(java.lang.String param1, java.lang.String param2, java.lang.String[] param3)`
`java.lang.String` | `getClassname()`
`java.lang.String[]` | `getGroupNames()`
`java.lang.String` | `getName()` Get the name of this item.
`java.lang.String[]` | `getUserGroupNames(java.lang.String param1)`
`java.lang.String[]` | `getUserNames()`
`void` | `removeUser(java.lang.String param1)`
`void` | `setClassname(java.lang.String value)`
`void` | `setName(java.lang.String value)`
`void` | `updateUser(java.lang.String param1, java.lang.String param2, java.lang.String[] param3)`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getClassname

    public java.lang.String getClassname()

### setClassname

    public void setClassname(java.lang.String value)

### getName

    public java.lang.String getName()

  Description copied from interface: `AMX`
  Get the name of this item. Same as the value of the 'name' property within the ObjectName.

  Specified by:
    `getName` in interface `AMX`
  Returns:
    the "name" property value as found inside the ObjectName
  See Also:
    `AMX.NAME_KEY`

### setName

    public void setName(java.lang.String value)

### addUser

    public void addUser(java.lang.String param1,
                        java.lang.String param2,
                        java.lang.String[] param3)

### getGroupNames

    public java.lang.String[] getGroupNames()

### getUserGroupNames

    public java.lang.String[] getUserGroupNames(java.lang.String param1)

### getUserNames

    public java.lang.String[] getUserNames()

### removeUser

    public void removeUser(java.lang.String param1)

### updateUser

    public void updateUser(java.lang.String param1,
                           java.lang.String param2,
                           java.lang.String[] param3)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.